﻿using Pixiview.iOS.Renderers;
using Pixiview.UI;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(CircleImage), typeof(CircleImageRenderer))]
namespace Pixiview.iOS.Renderers
{
    public class CircleImageRenderer : ImageRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Image> e)
        {
            base.OnElementChanged(e);

            if (Control != null)
            {
                Control.Layer.MasksToBounds = true;
            }
        }

        public override void LayoutSubviews()
        {
            base.LayoutSubviews();

            if (Control != null)
            {
                Control.Layer.CornerRadius = Control.Frame.Size.Width / 2;
            }
        }
    }
}
