﻿using System.ComponentModel;
using Pixiview.iOS.Renderers;
using Pixiview.UI;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(RoundLabel), typeof(RoundLabelRenderer))]
namespace Pixiview.iOS.Renderers
{
    public class RoundLabelRenderer : LabelRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Label> e)
        {
            base.OnElementChanged(e);

            if (Control != null && Element is RoundLabel label)
            {
                int radius = label.CornerRadius;
                if (radius > 0)
                {
                    Control.Layer.CornerRadius = radius;
                    Control.BackgroundColor = label.BackgroundColor.ToUIColor();
                    Control.Layer.MasksToBounds = true;
                }
            }
        }

        protected override void OnElementPropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            base.OnElementPropertyChanged(sender, e);

            if (e.PropertyName == RoundLabel.CornerRadiusProperty.PropertyName)
            {
                if (Control != null && Element is RoundLabel label)
                {
                    int radius = label.CornerRadius;
                    if (radius > 0)
                    {
                        Control.Layer.CornerRadius = radius;
                        Control.BackgroundColor = label.BackgroundColor.ToUIColor();
                        Control.Layer.MasksToBounds = true;
                    }
                }
            }
        }
    }
}
